<?php
// Datubāzes savienojums
$servername = "109.106.254.1";
$username = "u353443769_beis";
$password = 'Te$t@dm1n';
$dbname = "u353443769_beis";

// Sāk sesiju
session_start();

// Pārbauda, vai lietotājs ir pierakstījies
if (!isset($_SESSION['autorid'])) {
    echo json_encode(['error' => 'Lietotājs nav pierakstījies']);
    exit;
}

// Izveido savienojumu
$conn = new mysqli($servername, $username, $password, $dbname);

// Pārbauda savienojumu
if ($conn->connect_error) {
    die("Savienojums neizdevās: " . $conn->connect_error);
}

// Izgūst piezīmētos ierakstus pašreizējam lietotājam
$autorid = $_SESSION['autorid'];

$sql = "SELECT p.id, p.imageid, p.header, p.autor, p.rating 
        FROM pav_gra_postsi p
        JOIN pav_gra_saglab s ON p.id = s.postid_s
        WHERE s.autorid_s = $autorid";

$result = $conn->query($sql);

if ($result->num_rows > 0) {
    // Katras rindas dati
    $posts = array();
    while ($row = $result->fetch_assoc()) {
        $posts[] = $row;
    }
    // Nosūta ierakstu datus kā JSON atbildi
    header('Content-Type: application/json');
    echo json_encode($posts);
} else {
    echo json_encode(['error' => 'Nav atrasti piezīmētie ieraksti']);
}

// Aizver datubāzes savienojumu
$conn->close();
?>